org.apache.poi.ss.formula

## Class SheetNameFormatter

- java.lang.Object
- - org.apache.poi.ss.formula.SheetNameFormatter

-     public final class SheetNameFormatter
      extends java.lang.Object

  Formats sheet names for use in formula expressions.
  Author:
    Josh Micich

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `appendFormat(java.lang.Appendable out, java.lang.String rawSheetName)` Convenience method for (`format(String)`) when a StringBuffer is already available.
    `static void` | `appendFormat(java.lang.Appendable out, java.lang.String workbookName, java.lang.String rawSheetName)` Convenience method for (`format(String)`) when a StringBuffer is already available.
    `static void` | `appendFormat(java.lang.StringBuffer out, java.lang.String rawSheetName)` Deprecated. Only kept for binary compatibility, will be replaced by the version with Appendable as parameter
    `static void` | `appendFormat(java.lang.StringBuffer out, java.lang.String workbookName, java.lang.String rawSheetName)` Deprecated. Only kept for binary compatibility, will be replaced by the version with Appendable as parameter
    `static void` | `appendFormat(java.lang.StringBuilder out, java.lang.String rawSheetName)` Only kept for binary compatibility, will be replaced by the version with Appendable as parameter
    `static void` | `appendFormat(java.lang.StringBuilder out, java.lang.String workbookName, java.lang.String rawSheetName)` Only kept for binary compatibility, will be replaced by the version with Appendable as parameter
    `static java.lang.String` | `format(java.lang.String rawSheetName)` Used to format sheet names as they would appear in cell formula expressions.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### format

          public static java.lang.String format(java.lang.String rawSheetName)

      Used to format sheet names as they would appear in cell formula expressions.
      Returns:
        the sheet name unchanged if there is no need for delimiting. Otherwise the sheet name is enclosed in single quotes ('). Any single quotes which were already present in the sheet name will be converted to double single quotes ('').

    - #### appendFormat

          @Deprecated
           @Removal(version="5.0.0")
          public static void appendFormat(java.lang.StringBuffer out,
                                                                                 java.lang.String rawSheetName)

      Deprecated. Only kept for binary compatibility, will be replaced by the version with Appendable as parameter

    - #### appendFormat

          @Deprecated
           @Removal(version="5.0.0")
          public static void appendFormat(java.lang.StringBuffer out,
                                                                                 java.lang.String workbookName,
                                                                                 java.lang.String rawSheetName)

      Deprecated. Only kept for binary compatibility, will be replaced by the version with Appendable as parameter

    - #### appendFormat

          @Removal(version="5.0.0")
          public static void appendFormat(java.lang.StringBuilder out,
                                                                    java.lang.String rawSheetName)

      Only kept for binary compatibility, will be replaced by the version with Appendable as parameter

    - #### appendFormat

          @Removal(version="5.0.0")
          public static void appendFormat(java.lang.StringBuilder out,
                                                                    java.lang.String workbookName,
                                                                    java.lang.String rawSheetName)

      Only kept for binary compatibility, will be replaced by the version with Appendable as parameter

    - #### appendFormat

          public static void appendFormat(java.lang.Appendable out,
                                          java.lang.String rawSheetName)

      Convenience method for (`format(String)`) when a StringBuffer is already available.
      Parameters:
        `out` - - sheet name will be appended here possibly with delimiting quotes
        `rawSheetName` - - sheet name

    - #### appendFormat

          public static void appendFormat(java.lang.Appendable out,
                                          java.lang.String workbookName,
                                          java.lang.String rawSheetName)

      Convenience method for (`format(String)`) when a StringBuffer is already available.
      Parameters:
        `out` - - sheet name will be appended here possibly with delimiting quotes
        `workbookName` - - workbook name
        `rawSheetName` - - sheet name

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.